package com.zd.laboratory.domain;

import com.zd.common.core.annotation.NewFunctionMapper;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 传感器解析配置对象 sensor_config
 *
 * @author zd
 * @date 2021-10-27
 */
@ApiModel("传感器解析配置")
public class SensorConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 配置名称 */
    @Excel(name = "配置名称")
    @ApiModelProperty(value = "配置名称")
    private String name;
    /** 煤尘浓度 */
    @Excel(name = "煤尘浓度")
    @ApiModelProperty(value = "煤尘浓度")
    @NewFunctionMapper("fenchen")
    private String fenchen;
    /** 温度 */
    @Excel(name = "温度")
    @ApiModelProperty(value = "温度")
    @NewFunctionMapper("wendu")
    private String wendu;
    /** 湿度 */
    @Excel(name = "湿度")
    @Length(message = "湿度长度不能超过5")
    @ApiModelProperty(value = "湿度")
    @NewFunctionMapper("shidu")
    private String shidu;
    /** 一氧化碳 */
    @Excel(name = "一氧化碳")
    @ApiModelProperty(value = "一氧化碳")
    @NewFunctionMapper("co")
    private String co;
    /** 大气压力 */
    @Excel(name = "大气压力")
    @ApiModelProperty(value = "大气压力")
    @NewFunctionMapper("daqiya")
    private String daqiya;
    /** 氧气浓度 */
    @Excel(name = "氧气浓度")
    @ApiModelProperty(value = "氧气浓度")
    @NewFunctionMapper("o2")
    private String o2;
    /** 烟雾 */
    @Excel(name = "烟雾")
    @ApiModelProperty(value = "烟雾")
    @NewFunctionMapper("yanwu")
    private String yanwu;
    /** 甲烷浓度 */
    @Excel(name = "甲烷浓度")
    @ApiModelProperty(value = "甲烷浓度")
    @NewFunctionMapper("jiawan")
    private String jiawan;
    /** voc */
    @Excel(name = "voc")
    @ApiModelProperty(value = "voc")
    @NewFunctionMapper("tvoc")
    private String voc;
    /** 二氧化硫 */
    @Excel(name = "二氧化硫")
    @ApiModelProperty(value = "二氧化硫")
    @NewFunctionMapper("so2")
    private String so2;
    /** 一氧化氮 */
    @Excel(name = "一氧化氮")
    @ApiModelProperty(value = "一氧化氮")
    @NewFunctionMapper("no1")
    private String no;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setFenchen(String fenchen)
    {
        this.fenchen = fenchen;
    }

    public String getFenchen()
    {
        return fenchen;
    }
    public void setWendu(String wendu)
    {
        this.wendu = wendu;
    }

    public String getWendu()
    {
        return wendu;
    }
    public void setShidu(String shidu)
    {
        this.shidu = shidu;
    }

    public String getShidu()
    {
        return shidu;
    }
    public void setCo(String co)
    {
        this.co = co;
    }

    public String getCo()
    {
        return co;
    }
    public void setDaqiya(String daqiya)
    {
        this.daqiya = daqiya;
    }

    public String getDaqiya()
    {
        return daqiya;
    }
    public void setO2(String o2)
    {
        this.o2 = o2;
    }

    public String getO2()
    {
        return o2;
    }
    public void setYanwu(String yanwu)
    {
        this.yanwu = yanwu;
    }

    public String getYanwu()
    {
        return yanwu;
    }
    public void setJiawan(String jiawan)
    {
        this.jiawan = jiawan;
    }

    public String getJiawan()
    {
        return jiawan;
    }
    public void setVoc(String voc)
    {
        this.voc = voc;
    }

    public String getVoc()
    {
        return voc;
    }
    public void setSo2(String so2)
    {
        this.so2 = so2;
    }

    public String getSo2()
    {
        return so2;
    }
    public void setNo(String no)
    {
        this.no = no;
    }

    public String getNo()
    {
        return no;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("fenchen", getFenchen())
            .append("wendu", getWendu())
            .append("shidu", getShidu())
            .append("co", getCo())
            .append("daqiya", getDaqiya())
            .append("o2", getO2())
            .append("yanwu", getYanwu())
            .append("jiawan", getJiawan())
            .append("voc", getVoc())
            .append("so2", getSo2())
            .append("no", getNo())
            .append("createTime", getCreateTime())
            .toString();
    }
}
